Move failed layer load dialog to QgsMessageBar

2013-01-08 03:08 PM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16077

Description

When a user loads an invalid layer they are presented with a pretty unfriendly dialog popup
It would be good to remove this dialog and just show a message in the message bar above the canvas. The message bar is less intrusive

and doesn't need to be dismissed just to continue working.

Associated revisions

Revision 8abeb8d0 - 2016-02-24 01:38 AM - Nyall Dawson

Merge pull request #2745 from medspx/gdal_invalid_messagebar

Replace QgsErrorDialog by messageBar for raster loading (fix #6967)

History

#1 - 2014-06-28 07:43 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2015-06-18 11:04 PM - Nathan Woodrow

- Assignee set to Nathan Woodrow

#3 - 2016-01-31 02:43 AM - Médéric RIBREUX

Hello, bug triage...

this is a problem just for rasters (GDAL provider). For OGR provider, there is already a message bar...

#4 - 2016-01-31 06:40 AM - Médéric RIBREUX

- Status changed from Open to In Progress

Hello,

I've made a PR for this bug...
https://github.com/qgis/QGIS/pull/2745


#5 - 2016-02-23 04:38 PM - Nyall Dawson

- Status changed from In Progress to Closed

Fixed in changeset commit:"8abeb8d09e2369f5c1e35978d6fb2399997dd1ae".
